# -*- coding: utf-8 -*-
import ghostbox as gb
import time

print(f"{gb.sdktype()}({gb.sdkversion()})")

# 打开设备
print(gb.opendevice())
#print(gb.opendevicebyid(0x5188,0x1801))
#print(gb.opendevicebypath("\\\\?\\hid#vid_5188&pid_1801&mi_02#7&28610698&0&0000#{4d1e55b2-f16f-11cf-88cb-001111000030}"))
# 获取设备型号
print(gb.getmodel())
# 获取硬件版本号
print(gb.getfirmwareversion())
# 按win键
# print(gb.pressandreleasekeybyname("win"))
# 移动鼠标
# gb.setmousemovementmode(3)
# gb.setmousemovementdelay(3,5)
# print(gb.movemouseto(100,100))

gb.presskeybyname("right")
gb.presskeybyname("up")
time.sleep(3)
gb.releaseallkey()

# gb.combinationkey("win+r")

# time.sleep(2)
# print(gb.getcapslock())
# gb.inputstring("xxxDDDff")